/* 💥 Bezpečnostní páska */
.caution-tape {
  top: 50%; /* můžeš dát top: 0; nebo bottom: 0; podle umístění */
  left: 0;
  width: 100vw;
  height: 4rem;
  background: repeating-linear-gradient(
    -45deg,
    var(--my-color-road-sign) 0 2rem,
    #000 2rem 4rem
  );
  background-size: 200vw 100vw;
  animation: tape-slide 90s linear infinite;
  z-index: 10;
  pointer-events: none; /* nepřekáží v klikání */
  box-shadow: 0 0 10px rgba(0,0,0,0.5);
}

/* 💥 Bezpečnostní páska */
.caution-tape-small {
  top: 50%; /* můžeš dát top: 0; nebo bottom: 0; podle umístění */
  left: 0;
  width: 100vw;
  height: 1rem;
  background: repeating-linear-gradient(
    -45deg,
    var(--my-color-road-sign) 0 0.5rem,
    #000 0.5rem 1rem
  );
  background-size: 200vw 100vw;
  animation: tape-slide 90s linear infinite;
  z-index: 10;
  pointer-events: none; /* nepřekáží v klikání */
  box-shadow: 0 0 10px rgba(0,0,0,0.5);
}

/* 💫 Animace pohybu */
@keyframes tape-slide {
  from {
    background-position: 200vw 0;
  }
  to {
    background-position: 0 0;
  }
}